Bug 586787 - ath9k: oops when pressing wireless killswitch
ath9k: oops when pressing wireless killswitch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 07:41 EDT by Stefan Assmann
Modified: 2010-05-25 13:28 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.33.3-77.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 13:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bz586787.patch (608 bytes, patch)
2010-04-30 11:10 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Stefan Assmann 2010-04-28 07:41:58 EDT
Description of problem:
After maybe half an hour of operation the wireless connection drops. NM doesn't recognize it and still thinks everything is fine. However no more packages arrive or can be send. Wireless worked fine with F12 2.6.32 kernel.

01:00.0 Network controller [0280]: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)

After that happened I pushed the wireless killswitch to see if that might restore the wirless connection. The result is the following oops

ath: Failed to wakeup in 500us
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Unable to stop TxDMA. Reset HAL!
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Chip reset failed
ath: Unable to reset hardware; reset status -22
ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Chip reset failed
ath: Unable to reset channel (2432 Mhz) reset status -22
ath: Unable to set channel
wlan0: deauthenticating from 00:22:15:6f:26:1d by local choice (reason=3)
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Chip reset failed
ath: Unable to reset channel 4174198435 (2432Mhz)
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Unable to stop TxDMA. Reset HAL!
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Chip reset failed
ath: Unable to reset hardware; reset status -22
ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Chip reset failed
ath: Unable to reset channel 2432 (4294967274Mhz) reset status -120763076
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Unable to stop TxDMA. Reset HAL!
ath: Failed to wakeup in 500us
ath: Unable to reset hardware; reset status -5
ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Chip reset failed
ath: Unable to reset channel 2432 (4294967274Mhz) reset status -120763076
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Failed to stop TX DMA in 100 msec after killing last frame
ath: Unable to stop TxDMA. Reset HAL!
ath: Failed to wakeup in 500us
ath: Unable to reset hardware; reset status -5
ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath: timeout (100000 us) on reg 0x7000: 0xffffffff & 0x00000003 != 0x00000000
ath9k 0000:01:00.0: PCI INT A disabled
BUG: unable to handle kernel paging request at 6b6b6b73
IP: [<f8ccf7b6>] ath9k_exit_debug+0x9/0x5c [ath9k]
*pdpt = 000000002c812001 *pde = 0000000000000000
Oops: 0000 [#1] SMP
last sysfs file: /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/eth0/statistics/collisions
Modules linked in: fuse autofs4 sunrpc cpufreq_ondemand acpi_cpufreq ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 aes_i586 aes_generic xts gf128mul dm_crypt uinput arc4 ecb snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device ath9k ath9k_common snd_pcm mac80211 ath9k_hw iTCO_wdt iTCO_vendor_support ath uvcvideo snd_timer videodev snd joydev v4l1_compat cfg80211 soundcore atl1e snd_page_alloc eeepc_laptop sparse_keymap hwmon rfkill dm_multipath i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: microcode]

Pid: 23, comm: kacpi_notify Not tainted 2.6.33.1-24.fc13.i686.PAE #1 1000HE/1000HE
EIP: 0060:[<f8ccf7b6>] EFLAGS: 00010202 CPU: 0
EIP is at ath9k_exit_debug+0x9/0x5c [ath9k]
EAX: 6b6b6b6b EBX: 6b6b6b6b ECX: 00000007 EDX: c0dd48f0
ESI: f5c80e98 EDI: 00000168 EBP: f7167e30 ESP: f7167e2c
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Process kacpi_notify (pid: 23, ti=f7166000 task=f715c0e0 task.ti=f7166000)
Stack:
 6b6b6b6b f7167e40 f8cc859c f5c80e98 eeb28000 f7167e50 f8cc875f f71e0830
<0> f8cd52f4 f7167e58 f8ccf179 f7167e64 c05ddc6a f71e0890 f7167e74 c0673e82
<0> f71e08c4 f71e0890 f7167e84 c0673f6d f71e0890 c0a12a18 f7167e98 c0673351
Call Trace:
 [<f8cc859c>] ? ath9k_uninit_hw+0x21/0x36 [ath9k]
 [<f8cc875f>] ? ath_cleanup+0x46/0x4a [ath9k]
 [<f8ccf179>] ? ath_pci_remove+0x1a/0x1c [ath9k]
 [<c05ddc6a>] ? pci_device_remove+0x1e/0x3e
 [<c0673e82>] ? __device_release_driver+0x5e/0xa2
 [<c0673f6d>] ? device_release_driver+0x1d/0x28
 [<c0673351>] ? bus_remove_device+0x95/0xbe
 [<c06719ff>] ? device_del+0x101/0x15c
 [<c0671a88>] ? device_unregister+0x2e/0x53
 [<c05d99c2>] ? pci_stop_bus_device+0x4a/0x66
 [<c05d9a4c>] ? pci_remove_bus_device+0x12/0x95
 [<f7eee10e>] ? eeepc_rfkill_hotplug+0xb1/0xc7 [eeepc_laptop]
 [<f7eee137>] ? eeepc_rfkill_notify+0x13/0x15 [eeepc_laptop]
 [<c0617d86>] ? acpi_ev_notify_dispatch+0x54/0x62
 [<c0607be2>] ? acpi_os_execute_deferred+0x22/0x2d
 [<c0455f07>] ? worker_thread+0x19f/0x262
 [<c0455ec5>] ? worker_thread+0x15d/0x262
 [<c0607bc0>] ? acpi_os_execute_deferred+0x0/0x2d
 [<c045969c>] ? autoremove_wake_function+0x0/0x34
 [<c0455d68>] ? worker_thread+0x0/0x262
 [<c0459320>] ? kthread+0x6f/0x74
 [<c04592b1>] ? kthread+0x0/0x74
 [<c04091c2>] ? kernel_thread_helper+0x6/0x10
Code: 00 5b 5d c3 55 89 e5 0f 1f 44 00 00 a1 90 56 cd f8 e8 ed 25 8b c7 c7 05 90 56 cd f8 00 00 00 00 5d c3 55 89 e5 53 0f 1f 44 00 00 <8b> 58 08 8b 83 c4 09 00 00 e8 ca 25 8b c7 8b 83 c0 09 00 00 e8
EIP: [<f8ccf7b6>] ath9k_exit_debug+0x9/0x5c [ath9k] SS:ESP 0068:f7167e2c
CR2: 000000006b6b6b73
---[ end trace 4bdf080e70e195d5 ]---


Version-Release number of selected component (if applicable):
kernel-PAE-2.6.33.1-24.fc13.i686

How reproducible:
always

Steps to Reproduce:
1. press wireless killswitch on eeepc 1000HE

Actual results:
kernel oops

Expected results:
working wireless

Additional info:
Comment 1 John W. Linville 2010-04-28 14:11:33 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=2143843

Could you give this a try?  Does it address the issue?
Comment 2 Stefan Assmann 2010-04-30 03:07:58 EDT
looks good so far, did several hibernations and no more oops.
Comment 3 John W. Linville 2010-04-30 11:10:11 EDT
Created attachment 410511 [details]
bz586787.patch

Note You need to log in before you can comment on or make changes to this bug.